MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027936Community[OCCT] OCCT:Modeling Algorithmspublic2016-10-06 13:512017-09-29 16:30
ReporterMarkus 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0027936: [regression] BRepAlgoAPI_Common returns empty result for a solid and a face
DescriptionIn OCCT 7.0, the BRepAlgoAPI_Common operation returns an empty compound although all checks say that the arguments are valid.

In OCCT 6.9.1, the result is a valid face.

I didn't test with current master.
Steps To Reproducepload ALL

restore rsi.brep s

whatis s

explode s

whatis s_1

whatis s_2

checkshape s_1

checkshape s_2

bopcheck s_1

bopcheck s_2

bopargcheck s_1 s_2 -O #F

brunparallel 1

bop s_1 s_2

bopcommon r

whatis r

explode r

TagsNo tags attached.
Test case numberbugs modalg_7 bug27936
Attached Files? file icon rsi.brep (82,424 bytes) 2016-10-06 13:51
? file icon rsi_thruSect.brep (108,872 bytes) 2016-10-06 15:02

- Relationships
related to 0027760closedbugmaster [regression] BRepAlgoAPI_Common returns empty result 

-  Notes
(0058457)
Timo (developer)
2016-10-06 15:02
edited on: 2016-10-06 15:02

The face was created by GeomAPI_PointsToBSplineSurface. Maybe it has some undulations, but they are not visible and the used points (4 x 15) are evenly distributed.

After changing the creation of the face to BRepOffsetAPI_ThruSections, the problem is gone (see rsi_thruSect.brep).

(0069786)
git (administrator)
2017-08-23 14:25

Branch CR27936 has been created by apv.

SHA-1: 6caa5b05d240882804e9cde4d17f695221a32093


Detailed log of new commits:

Author: apv
Date: Wed Aug 23 14:24:54 2017 +0300

    0027936: [regression] BRepAlgoAPI_Common returns empty result for a solid and a face
(0069787)
apv (tester)
2017-08-23 14:30

Dear BugMaster,

Problem described in issue is not reproduced on current state of OCCT.
Problem has been solved in OCCT7.2.0.

Please integrate branch CR27936 into the occt git-repository master.
(0069895)
git (administrator)
2017-08-25 16:13

Branch CR27936 has been deleted by kgv.

SHA-1: 6caa5b05d240882804e9cde4d17f695221a32093

- Related Changesets
occt: master 192b2205
Timestamp: 2017-08-23 11:24:54
Author: apv
Committer: bugmaster
Details ] Diff ]
0027936: [regression] BRepAlgoAPI_Common returns empty result for a solid and a face

Problem is not reproduced on current master. Issue must be closed on 7.2.0.
Test case was added only.
add - tests/bugs/modalg_7/bug27936 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-06 13:51 Timo New Issue
2016-10-06 13:51 Timo Assigned To => msv
2016-10-06 13:51 Timo File Added: rsi.brep
2016-10-06 13:51 Timo Issue generated from: 0027760
2016-10-06 13:51 Timo Relationship added related to 0027760
2016-10-06 14:00 Timo Description Updated View Revisions
2016-10-06 15:02 Timo Note Added: 0058457
2016-10-06 15:02 Timo File Added: rsi_thruSect.brep
2016-10-06 15:02 Timo Note Edited: 0058457 View Revisions
2016-10-28 12:16 msv Target Version 7.1.0 => 7.2.0
2017-05-31 15:39 Timo Reporter Timo => Markus
2017-07-21 11:16 msv Target Version 7.2.0 => 7.3.0
2017-08-23 14:25 git Note Added: 0069786
2017-08-23 14:29 apv Assigned To msv => apv
2017-08-23 14:29 apv Status new => feedback
2017-08-23 14:30 apv Test case number => bugs modalg_7 bug27936
2017-08-23 14:30 apv Note Added: 0069787
2017-08-23 14:30 apv Assigned To apv => bugmaster
2017-08-23 14:30 apv Status feedback => tested
2017-08-23 14:30 apv Resolution open => fixed
2017-08-23 14:30 apv Fixed in Version => 7.2.0
2017-08-24 16:59 bugmaster Target Version 7.3.0 => 7.2.0
2017-08-25 15:02 bugmaster Changeset attached => occt master 192b2205
2017-08-25 15:02 bugmaster Status tested => verified
2017-08-25 16:13 git Note Added: 0069895
2017-09-29 16:30 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker